function onTalk()
	disableMovement()
	playSound("event:/CC/CC_KoseiDiamond_sounds/WorldGlobe")
	aux = not getFlag("worldGlobe")
	setFlag("worldGlobe", not getFlag("worldGlobe"))
	wait(0.2)
	enableMovement()
end
